<?php
/**
 * Customizer fields for theme color settings.
 *
 * @package Eronex
 * @since   0.0.1
 */

use Kirki\Field\Color;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

new Color(
	array(
		'label'     => esc_html__( 'Primary', 'eronex' ),
		'settings'  => 'eronex_primary_color',
		'section'   => 'eronex_general_color',
		'default'   => '#7E4CFF',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => false,
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Secondary', 'eronex' ),
		'settings'  => 'eronex_secondary_color',
		'section'   => 'eronex_general_color',
		'default'   => '#2E80FF',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => false,
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Body Text', 'eronex' ),
		'settings'  => 'eronex_primary_font_color',
		'section'   => 'eronex_general_color',
		'default'   => '#636363',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => false,
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Heading Text', 'eronex' ),
		'settings'  => 'eronex_secondary_font_color',
		'section'   => 'eronex_general_color',
		'default'   => '#0E0E0F',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => false,
		),
	)
);
